Bug 172472 - snmp driver not enabled in released version
snmp driver not enabled in released version
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: apcupsd (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-04 17:17 EST by Bob Kuo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.10.18-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-07 11:53:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Kuo 2005-11-04 17:17:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
The --enable-snmp needs to be added to ./configure when building apcupsd. Otherwise, the snmp driver is not available to users who have an APC UPS with an SNMP signalling card.

Version-Release number of selected component (if applicable):
apcupsd-3.10.18-3.fc4

How reproducible:
Always

Steps to Reproduce:
1. In /etc/apcupsd/apcupsd.conf, set
     UPSCABLE ether
     UPSTYPE snmp
2. Do /etc/init.d/apcupsd start


Actual Results:  Starting UPS monitoring:
Apcupsd driver snmp not found.
The available apcupsd drivers are:
dumb
apcsmart
net
usb

Most likely, you need to add --enable-snmp to your ./configure options.

apcupsd FATAL ERROR in apcupsd.c at line 269
Apcupsd cannot continue without a valid driver.
                                                           [FAILED]


Expected Results:  apcupsd should have started up

Additional info:
Comment 1 Orion Poplawski 2005-11-07 11:53:48 EST
Should be fixed in -4.

Note You need to log in before you can comment on or make changes to this bug.